## hercules 3.07-m1

=== Makefile ===
PACKAGE:=hercules
VERSION:=3.07
URLS:=http://www.hercules-390.org/
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz

include ../Rules.make

=== debian/changelog ===
hercules (3.07-m1) unstable; urgency=low

  * Initial package of hercules emulator for fremantle

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 17 Mar 2010 13:37:00 +0200

=== debian/control ===
Source: hercules
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs, libbz2-dev
Standards-Version: 3.8.0

Package: hercules
Architecture: any
Section: user/multimedia
XB-Maemo-Display-Name: The Hercules System/370, ESA/390, and z/Architecture Emulator
Depends: ${shlibs:Depends}
XSBC-Bugtracker: mailto:milang@tal.org
Description: The Hercules System/370, ESA/390, and z/Architecture Emulator
 Hercules is an open source software implementation of the mainframe System/370 and ESA/390 architectures, in addition to the new 64-bit z/Architecture. Hercules runs under Linux, Windows (98, NT, 2000, and XP), Solaris, FreeBSD, and Mac OS X (10.3 and later).
 Hercules is OSI Certified Open Source Software licensed under the terms of the Q Public Licence.
 Hercules was created by Roger Bowler and is maintained by Jay Maynard. Jan Jaeger designed and implemented many of the advanced features of Hercules, including dynamic reconfiguration, integrated console, interpretive execution and z/Architecture support. A dedicated crew of programmers is constantly at work implementing new features and fixing bugs. 
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAB+dJREFUaIHVmsuPXMUVxn9V99mvmenHTM90e8b2gB/ENokNMRgr
 MYHIgk02EYgFsvJPsIjCJihBQRF7EkVssomyiNhEyjYRBoKRZQO2CX6M7XmP
 p7un37dv33sri8Y9dtrOVBtbNkeqzam6X9WpU6fqfKcbvpH33/9T4Zlnnv7t
 3r17K7GYq6SUj1RzHEvNzu7YOHbsR398553f7eJWeeutXx7N58evAuq70CYm
 cuUTJ15/AYD33nu3UCxOLjzsRQ3bJifz9Tff/NUeo9ns/Przz88d5zsmjUbT
 9rz2mOE4zl9KpZL7sBd0L6JUtFe4rqM8r6P1gWFIHMfGtk0AwjDC83y63WDo
 yQ1D4roOlmXcM5ZlmQgppYqiaMvBrmuTz2fYNp0jmY0hpMSrd1i6XmJpaZ1G
 o609seNYTE1l2TYzTiITQwpBu95hZaHM/PwNmk09LCklps5Aw5Dk8xlmjxU4
 9+Ia6+kFIqFwfYvv/TtP4QOYm1vW2j0pJePjY+w4WuCLl1cojTYBelif5Zn5
 QHD58iK+r+cJqTPIti2KxSxf/nSVtWydSCoQ4Dldvnx2mfz2NI5ja01omgbj
 42PMP1ejNNYEQR/rzJFFMo+PaGNpGyClxHVt6klvoM+3QoJRhWlqQSGlwHEs
 aqODxySSiijV87iuaI0Mw5BarUWulBzoG63HiJYCOp2u1oRhGNFseqRvxAf6
 HN9ErUUEQaiFBZoGdLsBlUqD5z6dZftapq8fbcR4/qNdbJSa2rdHGIZsbDQ4
 cKbAE/OTfX2i7fDyh/tprra1N0PbACF6bi9nWyxmNvr6WtxjqVDFdS1ttwsh
 sG2L1ojP1YlSX99yO8wV17EdfSxtA2zbIpsd4dT3rxGYm1eukorT++ZJFRLY
 tqU1oWmapNNJzh1Yoe1s7rQScHb3As6MrY2lbYAQAtOU+PbgMQllRBRTSKnr
 gV6Q+s4djpyAyOnNpyuaMdClUmkwvZjupVK3SK6SpLvYxff1zm0QhGxsNClc
 HR3AGmm4qMVwqNdY8xaKqNfbHD69g9mVXF8/2ohx/OQT1Kst7ZsjiiIajTa7
 zo9z4Fqxr497Ni+f3E+r4t1/AwxDkky6XNizwlx+va+vJtp8dPAKqVR8qCBO
 JFxWdtQ4P73c17dcn389dZHEiItpGvfXAMuySKdTXHh8BXXrFwKuFUs4BRvH
 0Q/isbEEl/asExq352DLuSpy2hwqiLVyIaUUYRgh1J2DS0qJaZpaO2dZBoYh
 uVuYqugmZ9ETLQO63S7lco39F6b49NBV+nYoeHxpgkl7jNbOSTzP33pC0yCb
 HWVkfpTlbJXQ2FxscW2M8HpXO5HTNiCKFO22zw+ujLNarHN1cvMBsgKDS0dK
 hIdNDLW1B5QQLMkGCHC6Fi2jZ3TCszl65jG+al0bKpXQ4gOOY7Fv306av4D/
 7Fzlrv7/lhJv2xz8wyRnP7mkxS+klHpBfDPwrhXLD2zxAK2YTzQh7v8tpFSE
 7wdYXX3gexIFyouIIv0g1jLA9wNKpRpPn5nB8bXCZmgRkWDflQLd6772qw5D
 XKNBEDJRTjFeS7GQq3zTAUe+miVdjtOot4jU1jsnECSSLoZj8M/9X9OI9woK
 8Y7N7GKO+WB5KA9oGWBZJpnMCCcPX2Yht5lOI+D8zDLHPp5l4cwqrdYgY7sT
 1u7d21j9mU8jtlkNacY6/OPIOX74ZRH7kqXtBU1Sb5BIOKxn1gb6qvE260ad
 SqXXthLXdSgWcyxmagMXQtcKIf0AgjiKItptn0RzkGzbXQPWlfaO3cRKVp2B
 PhEJ1MYDoJQ3g/jop4+RrSX6ete3+PGpXWysNrRfzyAIqFTqHDg9xcRGqq+3
 AoOffLab9qI3VBBrEppeRhqZEb65uTuRUIRm1MtttEmIQAiBkOK23Eqh6DjB
 kFjalNIkk0nx8VNz1OObgepbAR8euszoZHIISmmQyaT44uAyq+laXx+YESef
 vIy7zdXObLUNEEJi2xbN2GCy1jVDoqHrQib11B1uLAFRQiHlffZAEARUq02m
 1kYG+kbrMYKlAM/Tp5TVaov8Umqg74HVhXo8tsGzp3ayYzXb1482Y7x4cg/V
 UoMg0AviKIqo1Vo8cTbPnoV8X59oO7z08T5aa979rwtJKYnHHZamqixkK319
 Nd7m4s4bxOPuUJTSdW02Jjyuj5f7+qbb4eLMGm7MfhCUsvcSn35y/ra6EALO
 7V4isS02RHG3Vxe6sP/2uhACzu9cxtg+HKXUrgsZhiAwBs9mJBTK1K/lCNEb
 27Xucs6HTHi160KlUo3pucG6UH4lRft6m05nazrZwwool2sUvxqsCyXrDsH1
 7lBlFS1GJoQgnU7x2O4CwTMSPxuiBFhlgfUJzH29TLlcQ2lkowDJZIzZ2QLO
 kRitQhclQXiQOGVw7ewKN25soPOrkZRS/ycmKQXxuEsqFScWc1AK2u0O9XqL
 dtsbKgUGiMcdUqkE8biDlBLP82k02jQaLcJw6/X0DbBtSw2Te/SO+mZZQnPT
 /w/eLenEkGCmaSKLxWJ1mI+U6k3Ua0PNdxc81W/DytjYiC+np6f/+u2X8XBk
 Zmb73+VLLx3//fh4rrL18EdLUqlU65VXXn0XgBMnXn9haipf5xH4D4ROS6VS
 zdde+/mrt1n09tu/2XP48NN/LhQmO7ZtPfS/1/xvM01T5XKZzqFDB//2xhtv
 HLq57v8Cf5ku9RdvlccAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_TAR_SRCDIR:=hercules-3.07

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

ifeq ($(IS_FREMANTLE),y)
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/opt --enable-cckd-bzip2 --enable-het-bzip2 --enable-optimization=yes --disable-shared
else
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/usr --enable-cckd-bzip2 --enable-het-bzip2 --enable-optimization=yes --disable-shared
endif

DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR)

DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

install/hercules::
ifeq ($(IS_FREMANTLE),y)
	install -d -m 755 $(DEB_DESTDIR)/usr/bin
	install -d -m 755 $(DEB_DESTDIR)/usr/lib/hercules

	ln -sf /opt/bin/hercules $(DEB_DESTDIR)/usr/bin/
	install -m 644 $(DEB_BUILDDIR)/hercules.cnf $(DEB_DESTDIR)/opt/share/hercules/
else
	install -m 644 $(DEB_BUILDDIR)/hercules.cnf $(DEB_DESTDIR)/usr/share/hercules/
endif

## hercules 3.07-m2

=== debian/changelog ===
hercules (3.07-m2) unstable; urgency=low

  * Use tal.org bugzilla for bugs
  * Use CLI overlay on package icon
  * Add web control panel launcher

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 9 Sep 2010 14:22:00 +0200

=== debian/control ===
Source: hercules
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs, libbz2-dev
Standards-Version: 3.8.0

Package: hercules
Architecture: any
Section: user/multimedia
XB-Maemo-Display-Name: The Hercules System/370, ESA/390, and z/Architecture Emulator
Depends: ${shlibs:Depends}
XSBC-Bugtracker: http://bugzilla.tal.org/enter_bug.cgi?product=Packages
Description: The Hercules System/370, ESA/390, and z/Architecture Emulator
 Hercules is an open source software implementation of the mainframe System/370 and ESA/390 architectures, in addition to the new 64-bit z/Architecture. Hercules runs under Linux, Windows (98, NT, 2000, and XP), Solaris, FreeBSD, and Mac OS X (10.3 and later).
 Hercules is OSI Certified Open Source Software licensed under the terms of the Q Public Licence.
 Hercules was created by Roger Bowler and is maintained by Jay Maynard. Jan Jaeger designed and implemented many of the advanced features of Hercules, including dynamic reconfiguration, integrated console, interpretive execution and z/Architecture support. A dedicated crew of programmers is constantly at work implementing new features and fixing bugs.
 This application can only be executed from the command line, but you can install the HercUI wrapper for a simple UI.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oJCQkPGnpCZigAAAs9SURBVGje1ZlbjF1Xecd/31pr386c47l48Ngz
 k3HiBMeAQ+okhkZtIxpXChGoalUlIFVRkVr1tQ9tpFYgtSkPEaAUqr5QqeWh
 qCj0IUhtETRCUEQrI1E1CUlMIBAnBnvsmdg+czuXvfdaqw9rn8t4Lj7HvKRL
 Wtp7r3XW3t/9+3/fEarxpS/9w/zTTz/9TKeT/26rtZUIYIxBa41SiqIscNbh
 vcf76pCAcxa84PE4a3HeIaIQEZy1eO/7z+Fs2EcYDA+e6r3e48NCtRam1orD
 hw+vLywsPPfww2c+89RTf/1aRQJ88lN/+tCX/+mrX3/v3cfrRitsWaC1whiN
 ANYFwq111bQ457HOYq3D+XD13mEteB/2nQsEO+cG9x6cdbjeuvc46wfPNlyt
 652r7vtnPAcPTjfPnDnzsa985dnn5YtffGb+s5/9u3O//sHTk1dWV3nj/Fu0
 2m2ccwMhiSDhgu+J3oMPIgtrvncFxOMRxA/2nAe8w3twlVSppB62XF/avX3v
 Bhroz+rM3KF3bf7BJz7xAfnQhx76Aq78k6lGg3/75rew1qK07hOME1ADbQuy
 Xf2AyGBBSW9fKiKr91TPIuB9teZ7AqHPDAzMyPvBeu9d3g9OPPDAff+soyj6
 6l13LCUvvPwq1643ieMYpRRKKcQpJBXECiKC0oIo6dv07nM7Uz3ie0QNmB0i
 +CbE30j44N6fUCsrKwe6nS7NtXWM1mG9AHJBYoj/pkTd66AQfLfvNtteNjx7
 tu+cCyZQ3bvKJKy1lbmA1oo40sRxRByb4Ph9fxlIflj6w4ysrr4dG1taOnlO
 t5sH6ViQOYj+siD6HYcchvgJR/ltS/7nBncOiAds9Exi+MX9ELWH5JQWJiZS
 GgdqZI0EYzSudGw0W1y9uk673d1F2juHtQ6DQDcvcNaGAxaSvy2JH3fkXxNk
 FtiE6KMedbKgdSrCtwRvAvHiBbE7P7SbzfZGmsZMLtZZfW+L1vQGpBBFhqWf
 TzP3fc3Fi6vkeckoQ2mtKcoS5xw4QTLQv+pxHeg8ZnAvCd0/NnSfUbizCmYG
 AvYKfOSDb8jupnXjmlJB+pt3FrRmCqgJfkLID1h+duoqU0t14jhi1GGUKIrC
 BgdTwc7966CXIPl7i7rdI4c93SdNiEZRNVWYXlM5Obs63M5nIY4jNqe6kIHP
 PKQCmeATYDIEkFGH8kBR2vBxAfHQ/TODPSckf+iIzniy/yzJ/rVAn3Z4VxGv
 wxQRxI9KPHjvKEtLvUzxWSCcDEggUga5DrYy55EYEBGsdUM6AfuisHWvYevD
 muIH4N4Qoo96as+X6Hs8VEyIElIXjUF8iFCdTs7tlw6ytDkTGEiFjJiHXzxB
 52pnZPunkmXAM70smnr0Qw51v6P4D4V7RWg/oul8SiEN0I84fCV9b8DFAacM
 p6T9mBEJDmsPOK4c2YAEfALtRsEvbrtOnMTjmZAoFRwYkFKQGah9p6T2NYta
 DKlSYkGS6kResW2CL+R1i47VNifeTxNKaSYna1x4T5NuvQx2nwg+hlfuvkS6
 FBPHZhwnHqR8IvBvCd3PKNK/cNRfL0MIfbRAHYHyx1B8QyGRgEiIQuJRKMQK
 lOF5GHrcmAdEwBhNUS/wKRBLEEY1fbozou3LgNY6ALcehjGQf1JjfyiYRxzm
 Ix73glB8QVM+p/FroGaBSQ/aY0TjjcXXHFiPtMCv99DDziRmrWVrq8PhlQZv
 L26FiGaCSTZaKf6SpSxHd2IjwxroewWUzyrKZxXJ50qKz2vkiiHLIvIJBx/p
 EP1R+IhygneetIpi+T8K3c/LnlpwztFud3n/+WO4eeHcsWXQkOUxj549yY+a
 b1IUozux6SWcbWoTkCqX5H9lkAJ0ItiGp6iV+OcNxX8ZfASZi0guaTbW29jS
 4vP9TUgpxcREytu3b/Hjo1dCOFbQznK+98BPOfpCPZjYiEyo4Yy5q+11AC9E
 kaablfi4gsalgBPaiSUlRW8p3JrHd/YmnqrKm5yc4PyJq9jY9RMiSlieXUPd
 ZsbLxK4qJPYLtKIqaBwJxCHphPAnkIJOFMqEua1OZKdAjKkqPS0D4ocjWKh8
 xveB/Ty/B3FrZcxG0u0TL5kwVdaYTGpwMMBmVdULSkl1P7iKBE3Ozk4ydXGK
 5UNruKHPLqxMYS8UYyUyM4zllRrE82E02WOyUaZYYCvNIQWfgsk1zbs6SBxh
 IlCJQsUKiQUVK1QkiKmmEtCKZbMFCtIypmVyACY6Mb/24p281nprvCi0H/Qd
 zp5xHLE+22VrMkcywafgM1g5uBmwTLUWcE0FzBIgGorzurKqG8yGSij//hsv
 c+rcYZI3oltz4r2GiJAkhtZ0AbVAuK8FosPzL0d8b7SyHHdIMEaPr4H9oECP
 CRUpbOrxlcQDHA6OHGaABCRDGbbCTYHwvYnv94c6wd9Gh9Pe97HQXubknCPP
 S46sT6JjtZ34HjOp9HHNDuLl5sSLE973xjzFhZw8L8Z34r0k7/0gHE7ajDXp
 0Kx18KmHFE5eXmCqXaOTd0PHwlRRRwmoXboUCBP1FJ1ovnvyJ2zWQv1b68Yc
 uzjLz8vlsTRghjXQ6wrcmNxC9sy48O7rNA91gr1XVdSbR6/ygW9NcOG1q7Tb
 +VArZfe+URQZjh9f5Mpv52xmg+J9K+vyzQdf5fQrC8Q/jUbWQp+BYYKHQ2ev
 js2yiMuzrYGzpgIJbMRd1qIWa2tbNJubN/1gmiYsLMxycWZ9R54rIgvT4znx
 jih0ozkN93sSzJDNh0IkVhrVlJElFsBcTn0t2dUPfNONlQfUbj5w49VaR6vV
 4Z43F5h0WcjEMSQS8eArd7L+9hZFMdpHy7Lk+vUN7vnfIxxqNgamVWp+83+O
 077YGc+Je1LZv5/jQ5s9E4qaD9EmFryAT8Le6EVIBSuUIF6GO6N0kxKt1VgF
 jeq1sPcMzd5jjGZqqs7L9y6zNdUNoTKCPC05e/95po7UiaLRykBjNDMzDV4+
 tcyV6fWBZozjv9//M9LFlCSJxs8Dg/b1TiihlCJJItoHyh0lYBFb3KQnikZz
 PKVCVt9odHZTDm4iBI2xNLDNXHaBFmVpabU6zK03BiWgCdn1wGaGXbZ0OsWI
 PmBZW2sxd6mxYy/JDX7lFpy4Z0J7RSNrLRsbbU7/8ChL12YGxLcyfuvsCdau
 blKW5chRaH29xXtemuPuX8z11yfaCR8++z5aKx263eLWTGj3LBxMqFZLuDK/
 waVDzT6uWa93eP2OVWq1tOoNjeDCIqRpTPNQhwvvujaERru8vrRCmsW3lgdu
 nDsd7wAv/spFyshVqDJ0MV49fomJxYwkiUd0YsP0dJ0fnbxMOym22f+5O5bR
 R8crKRX4faXfk5oxijKyA+J7JiG+arXLiBoIvy2iPex8dOH3NBAarj7c7MpM
 WZZcu7bObW9O7wA6c5cbtC+06XbzkT5YFOFdC69N7ih96xsJ5YVirLaKaK29
 Ugrn7I6/dIY1MDVV5667Fyg/qMgPWrxAdE2Ivg/nf7LMtWvrNy2M+oTWM44d
 myd5MKM1X+AVSAcmfqB566XLrK42981Ng5CsAgM9FNr7q3Q3QpQSarWURqNG
 liV4D+12l42NFu12ZywIDFCrJTQaE9RqCUopOp2czc02m5ut7d3ymzEQx5G3
 1u3pwLvZ8ABGDv/TeGvjZpXgzQKCWlhYWBuF8KE8N8Qsv/QYVXC7jampA7la
 XFz8l/0qsnfyWFo6+nX16KOPfG529uD1/2/ENxqN1mOPPf4MAE888ftnjhyZ
 26h6eu/42Wg0tj7+8d97fBtHn/70UydOn77/y/Pzh7txHHml1DtqGmP87OxM
 9777Tj335JNP3tej+/8A7GEizHKs9kQAAAAASUVORK5CYII=

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,19 @@
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
+IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
 ifeq ($(IS_FREMANTLE),y)
 DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
 DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/opt --enable-cckd-bzip2 --enable-het-bzip2 --enable-optimization=yes --disable-shared
 else
+ifeq ($(IS_DIABLO),y)
 DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
 DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/usr --enable-cckd-bzip2 --enable-het-bzip2 --enable-optimization=yes --disable-shared
+else
+DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe
+DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/usr --enable-cckd-bzip2 --enable-het-bzip2 --enable-optimization=yes --disable-shared
+endif
 endif
 
 DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR)
@@ -29,6 +35,13 @@
 
 	ln -sf /opt/bin/hercules $(DEB_DESTDIR)/usr/bin/
 	install -m 644 $(DEB_BUILDDIR)/hercules.cnf $(DEB_DESTDIR)/opt/share/hercules/
+
+	install -d -m 755 $(DEB_DESTDIR)/usr/share/applications/hildon/
+	install -m 644 debian/hercules-cp.desktop $(DEB_DESTDIR)/usr/share/applications/hildon/
+
+	install -d -m 755 $(DEB_DESTDIR)/usr/share/icons/hicolor/48x48/apps/
+	install -m 644 debian/icon.png $(DEB_DESTDIR)/usr/share/icons/hicolor/48x48/apps/hercules-cp.png
 else
 	install -m 644 $(DEB_BUILDDIR)/hercules.cnf $(DEB_DESTDIR)/usr/share/hercules/
 endif
+

## hercules 3.12

=== debian/changelog ===
hercules (3.12-3) unstable; urgency=medium

  * Always compile with strict alignment turned on to avoid a segfault
    on start.
  * Avoid another segfault when commands are entered before the text
    user interface is up.

 -- Philipp Kern <pkern@debian.org>  Sun, 20 Aug 2017 14:31:31 +0200

hercules (3.12-2) unstable; urgency=medium

  * Build-depend on automake instead of automake1.11. (Closes: #865165)
  * Packaging cleanups:
    - Bump debhelper compatibility level from 7 to 9.
    - Use dh-autoreconf.
    - Rework debian/rules to use dh instead of raw debhelper.
    - Change priority from extra to optional.

 -- Philipp Kern <pkern@debian.org>  Sun, 06 Aug 2017 14:51:50 +0200

hercules (3.12-1) unstable; urgency=medium

  * New upstream release

 -- Philipp Kern <pkern@debian.org>  Sun, 03 Jan 2016 20:39:30 +0100

hercules (3.11-1) unstable; urgency=medium

  * New upstream release
    - Updated debian/copyright to fit.
    - Updated debian/watch to point to the new homepage of 3.x.
  * Take over maintainership of the package: It has not seen a maintainer
    upload since 2010.
  * Added dpkg-buildflags to the configure invocation to get hardening
    flags. Adapted the build system to fit.
  * Depend on libcap2-dev on linux-any instead of a manual exclusion list.
    (Closes: #634511)

 -- Philipp Kern <pkern@debian.org>  Sun, 04 Oct 2015 20:41:11 +0200

hercules (3.07-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch to automake1.11. (Closes: #724388)

 -- Eric Dorland <eric@debian.org>  Sun, 16 Feb 2014 14:45:34 -0500

hercules (3.07-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs (Closes: #621249).
  * Add LDFLAGS to really Closes: #615729.

 -- Luk Claes <luk@debian.org>  Mon, 13 Jun 2011 16:50:07 +0200

hercules (3.07-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable external GUI (Closes: #585508)
  * Explicit specify needed library (Closes: #615729)

 -- Liang Guo <bluestonechina@gmail.com>  Tue, 29 Mar 2011 09:26:35 +0800

hercules (3.07-2) unstable; urgency=low

  * Try again with automake 1.10 (Cloes: #575325)

 -- Peter 'p2' De Schrijver <p2@debian.org>  Thu, 25 Mar 2010 00:29:13 +0200

hercules (3.07-1) unstable; urgency=low

  * New upstream release (Closes: #573355)
  * Integrated multiple fixes from Simon McVittie (Closes: #557162)
  * Added dasdinit manpage (Closes: #542143)
  * Updated package description (Closes: #569913)
  * Updated README.Debian. Thanks to Frans Pop. (Closes: #573355)
  * Integrated fix for CVE-2009-3736. Thanks to Thorsten Glaser. (Closes: #559815)

 -- Peter 'p2' De Schrijver <p2@debian.org>  Tue, 23 Mar 2010 20:24:26 +0200

hercules (3.06-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Use autoreconf in order to use system libltdl instead of the bundled
    one (upgrading from 1.x to 2.2). (Closes: #559815) (CVE-2009-3736)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 24 Jan 2010 00:44:52 +0000

hercules (3.06-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Install the private libraries into a private directory, making it
    unnecessary to run ldconfig (Closes: #553110)
  * Apply patch from Petr Salinger to not build-depend on libcap2-dev on
    non-Linux ports (Closes: #544545)
  * Apply patch from Martin Michlmayr pre-emptively fixing compilation with
    gcc-4.4 (Closes: #513233)
  * Put copyright holders and licenses in debian/copyright, not just a pointer
    (Policy §12.5)
  * Various minor QA, mainly prompted by Lintian warnings:
    - modernize watch file (Closes: #529114)
    - upgrade debhelper compat level from 3 to 7 (still compatible with stable)
    - add ${misc:Depends} to Depends, as per debhelper (>= 4) documentation
    - support DEB_BUILD_OPTIONS=noopt
    - upgrade config.{guess,sub} during build using autotools-dev
    - add the usual --build/--host stuff as per autotools-dev documentation
    - debian/menu: modernize menu section (menu-item-uses-apps-section)
    - use dh_prep instead of deprecated dh_clean -k
    - hercules.doc-base: use appropriate section
    - don't ignore errors from make distclean

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Nov 2009 23:38:37 +0000

hercules (3.06-1) unstable; urgency=low

  * New upstream release
  * Added configure option --enable-capabilities (Closes: #470460)

 -- Peter De Schrijver (p2) <p2@debian.org>  Sat, 17 Jan 2009 19:20:47 +0200

hercules (3.05-2) unstable; urgency=low

  * fix license issue (Closes: #473195)
  * fixes for late 3.05 issues (Closes: #437107)
  * update autoconf foo (Closes: #414519)

 -- Peter De Schrijver (p2) <p2@debian.org>  Sun, 30 Mar 2008 15:47:15 +0300

hercules (3.05-1) unstable; urgency=low

  * New upstream release.

 -- Peter De Schrijver (p2) <p2@debian.org>  Mon, 10 Mar 2008 03:21:44 +0200

hercules (3.04.1-3) unstable; urgency=low

  * run hercules with networking as non-root. Thanks to Ivan Warren for the
    patch. (Closes: #402191)

 --  <p2@debian.org>  Wed, 11 Apr 2007 23:42:16 +0200

hercules (3.04.1-2) unstable; urgency=low

  * Fix bizarre compile problem (why does this only happen on ARM ??) (Closes: #414567)
  * Add Freebsd support for debian (Closes: #414519)

 --  <p2@debian.org>  Tue, 13 Mar 2007 00:39:24 +0100

hercules (3.04.1-1) unstable; urgency=low

  * New upstream release (Closes: #381550)
  * removed broken de.po (Closes: #313777)
  * Suggest x3270 (Closes: #397674)
  * Added updated version of joeyh's d-i howto (Closes: #338387)

 -- Peter De Schrijver (p2) <p2@debian.org>  Mon, 12 Feb 2007 22:27:12 +0100

hercules (3.03.1-1) unstable; urgency=low

  * New upstream release (Closes: #345716)

 -- Peter De Schrijver (p2) <p2@debian.org>  Tue,  3 Jan 2006 19:17:21 +0100

hercules (3.0.2-1) unstable; urgency=low

  * New maintainer
  * New upstream release (Closes: #289121, #184217, #241064, #251287)
  * Remove x3270 from suggests (Closes: #318130)



=== debian/control ===
Source: hercules
Section: otherosfs
Priority: optional
Maintainer: Philipp Kern <pkern@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-autoreconf,
               docbook-to-man,
               zlib1g-dev,
               libbz2-dev,
               libcap2-dev [linux-any],
               libltdl-dev,
               libtool,
               autoconf,
               automake,
               autotools-dev,
Build-Conflicts: autoconf2.13, automake1.4
Homepage: http://www.hercules-390.eu/
Standards-Version: 3.6.2

Package: hercules
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: x3270
Description: System/370, ESA/390 and z/Architecture Emulator
 Hercules is an open source software implementation of the mainframe System/370
 and ESA/390 architectures, in addition to the new 64-bit z/Architecture.
 .
 This means that your PC can emulate an IBM mainframe processor. The
 mainframe can range from a 360 to a z900 - running in "System/370"
 mode, "ESA/390" mode, or "z/Architecture" mode. Hercules executes
 S/370, ESA/390, and z/Architecture instructions and channel
 programs. It emulates mainframe I/O devices by using PC devices. For
 example, 3390 DASD devices are emulated by large files on your hard
 disk, and local 3270 screens are emulated by tn3270 sessions.
 .
 Hercules implements only the raw S/370, ESA/390, and z/Architecture
 instruction set; it does not provide any operating system facilities. This
 means that you need to provide an operating system or standalone program which
 Hercules can load from an emulated disk or tape device. You will have to use a
 free software operating system such as Linux, write the operating system or
 standalone program yourself, obtain a license from IBM to run one of their
 operating systems on your PC, or use IBM programs and operating systems which
 have been placed in the public domain.
 .
 Virtual networking can be accomplished using the TUN/TAP driver in
 host Linux kernel.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

# We divert the shared libraries (which are all internal to
# Hercules) into /usr/lib/hercules, which in turn means the plugins would
# normally go in /usr/lib/hercules/hercules.
# 
# However, Hercules will actually look in ${prefix}/lib/hercules for 
# plugins (and that path makes more sense anyway), so we override it
# at build/install time by changing the make arguments.
#
# Hopefully this will become unnecessary if upstream add a --with-modexecdir
# option or something. It might need changing in new upstream releases if
# they stop hard-coding ${prefix}/lib/hercules.

CONFIGURE_ARGS := --prefix=/usr --enable-optimization="$(CFLAGS)" \
	--libdir=/usr/lib/hercules \
	--mandir=/usr/share/man/ --enable-cckd-bzip2 --enable-het-bzip2 \
	--enable-custom=Debian --enable-capabilities \
	--enable-external-gui --without-included-ltdl
MAKE_ARGS := modexecdir=/usr/lib/hercules

export DEB_LDFLAGS_MAINT_APPEND = -lltdl

override_dh_autoreconf:
	dh_autoreconf autoreconf -- -fvi -Im4 -Iautoconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_dh_auto_build:
	dh_auto_build -- $(MAKE_ARGS)
	/usr/bin/docbook-to-man debian/hercules.sgml > hercules.1

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/hercules $(MAKE_ARGS)
	sed -i "/dependency_libs/ s/'.*'/''/" `find $(CURDIR)/debian/hercules -name '*.la'`
	rm $(CURDIR)/debian/hercules/usr/bin/bldlvlck
	rm $(CURDIR)/debian/hercules/usr/bin/herclin
	install -m 644 hercules.1 $(CURDIR)/debian/hercules/usr/share/man/man1
	cp -R html $(CURDIR)/debian/hercules/usr/share/doc/hercules

override_dh_auto_clean:
	dh_auto_clean
	rm -f hercules.1

=== debian/watch ===
version=3
http://www.hercules-390.eu/ http://downloads.hercules-390.eu/hercules-(.*)\.tar\.gz debian

## hercules 3.13

=== debian/changelog ===
hercules (3.13-9) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096803)

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Oct 2025 20:57:28 +0300

hercules (3.13-8) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.6 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Update lintian override info format in d/hercules.lintian-overrides
    on line 3.
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Adjusted d/rules to also pass CPPFLAGS for hardening.
  * Adjusted d/rules to remove libltdl in clean target, for rebuildability
    (Closes: #1047859).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 11 May 2024 23:12:01 +0200

hercules (3.13-7) unstable; urgency=medium

  * Orphan the package.

 -- Philipp Kern <pkern@debian.org>  Sun, 06 Dec 2020 15:37:47 +0100

hercules (3.13-6) unstable; urgency=medium

  * Modernize some of the packaging:
    - Bump to debhelper v12.
    - Symlink duplicate installed files.
    - Set "Rules requires root: no".
    - Install HTML documentation into /usr/share/doc rather than
      /usr/share and /usr/share/doc.
    - Remove obsolete manpage symlinks. (Doubtful that this solution
      is actually great, but the documentation currently lives in
      the HTML files.)
    - Bump Standards-Version to 3.9.6.
  * Move hercifc (helper binary) to /usr/libexec/hercules. Also set
    CAP_NET_ADMIN on the binary to allow TUN/TAP networking as an
    unprivileged user.
  * Add a lintian override for libhercs: It just provides some
    shared function pointers and does not require any external
    library.

 -- Philipp Kern <pkern@debian.org>  Sun, 22 Nov 2020 15:47:17 +0100

hercules (3.13-5) unstable; urgency=medium

  * Properly purge all Makefiles in the build output.

 -- Philipp Kern <pkern@debian.org>  Mon, 16 Nov 2020 14:13:20 +0100

hercules (3.13-4) unstable; urgency=medium

  * Do not install Makefile.gz from the documentation directory.
    This should make the package build reproducibly.

 -- Philipp Kern <pkern@debian.org>  Sun, 15 Nov 2020 22:07:38 +0100

hercules (3.13-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Don't list -l flags in Makefile dependencies.
    (Closes: #958130)

 -- Philipp Kern <pkern@debian.org>  Mon, 27 Apr 2020 07:56:23 +0200

hercules (3.13-2) unstable; urgency=medium

  * Convert to source format 3.0 (quilt).
  * Update to debhelper compat level 11.

 -- Philipp Kern <pkern@debian.org>  Sun, 26 Apr 2020 22:23:02 +0200

hercules (3.13-1) unstable; urgency=medium

  * New upstream release

 -- Philipp Kern <pkern@debian.org>  Sun, 04 Feb 2018 13:13:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,31 @@
 Source: hercules
 Section: otherosfs
 Priority: optional
-Maintainer: Philipp Kern <pkern@debian.org>
-Build-Depends: debhelper (>= 9~),
-               dh-autoreconf,
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: autoconf,
+               automake,
+               debhelper-compat (= 13),
                docbook-to-man,
-               zlib1g-dev,
+               jdupes,
                libbz2-dev,
                libcap2-dev [linux-any],
                libltdl-dev,
                libtool,
-               autoconf,
-               automake,
-               autotools-dev,
-Build-Conflicts: autoconf2.13, automake1.4
+               zlib1g-dev,
+Build-Conflicts: autoconf2.13,
+                 automake1.4,
 Homepage: http://www.hercules-390.eu/
-Standards-Version: 3.6.2
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/hercules
+Vcs-Git: https://salsa.debian.org/debian/hercules.git
 
 Package: hercules
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: x3270
+Depends: libcap2-bin,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Suggests: x3270,
 Description: System/370, ESA/390 and z/Architecture Emulator
  Hercules is an open source software implementation of the mainframe System/370
  and ESA/390 architectures, in addition to the new 64-bit z/Architecture.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,15 @@
 #!/usr/bin/make -f
 
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
+
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 # We divert the shared libraries (which are all internal to
 # Hercules) into /usr/lib/hercules, which in turn means the plugins would
 # normally go in /usr/lib/hercules/hercules.
-# 
-# However, Hercules will actually look in ${prefix}/lib/hercules for 
+#
+# However, Hercules will actually look in ${prefix}/lib/hercules for
 # plugins (and that path makes more sense anyway), so we override it
 # at build/install time by changing the make arguments.
 #
@@ -15,7 +17,7 @@
 # option or something. It might need changing in new upstream releases if
 # they stop hard-coding ${prefix}/lib/hercules.
 
-CONFIGURE_ARGS := --prefix=/usr --enable-optimization="$(CFLAGS)" \
+CONFIGURE_ARGS := --prefix=/usr --enable-optimization="$(CFLAGS) $(CPPFLAGS)" \
 	--libdir=/usr/lib/hercules \
 	--mandir=/usr/share/man/ --enable-cckd-bzip2 --enable-het-bzip2 \
 	--enable-custom=Debian --enable-capabilities \
@@ -40,8 +42,20 @@
 	rm $(CURDIR)/debian/hercules/usr/bin/bldlvlck
 	rm $(CURDIR)/debian/hercules/usr/bin/herclin
 	install -m 644 hercules.1 $(CURDIR)/debian/hercules/usr/share/man/man1
-	cp -R html $(CURDIR)/debian/hercules/usr/share/doc/hercules
+	mkdir -p $(CURDIR)/debian/hercules/usr/libexec/hercules
+	mv $(CURDIR)/debian/hercules/usr/bin/hercifc \
+		$(CURDIR)/debian/hercules/usr/libexec/hercules/hercifc
+	mkdir -p $(CURDIR)/debian/hercules/usr/share/doc/hercules
+	mv -t $(CURDIR)/debian/hercules/usr/share/doc/hercules \
+		$(CURDIR)/debian/hercules/usr/share/hercules/images \
+		$(CURDIR)/debian/hercules/usr/share/hercules/*.css \
+		$(CURDIR)/debian/hercules/usr/share/hercules/*.html
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f hercules.1
+	$(RM) -r libltdl/
+
+override_dh_link:
+	dh_link
+	jdupes -rl debian/hercules/usr

=== debian/watch ===
version=4
http://www.hercules-390.eu/ http://downloads.hercules-390.eu/hercules-(.*)\.tar\.gz debian
